rpms/kernel/devel/scripts rebase-xen-kernel.sh,1.1,1.2

fedora-cvs-commits at redhat.com fedora-cvs-commits at redhat.com
Sat Aug 19 16:46:00 UTC 2006


Author: quintela

Update of /cvs/dist/rpms/kernel/devel/scripts
In directory cvs.devel.redhat.com:/tmp/cvs-serv21001/scripts

Modified Files:
	rebase-xen-kernel.sh 
Log Message:
- xen kernel update.
  * linux-2.6 changeset: 33525:dcc321d1340a
  * linux-2.6-xen-fedora changeset: 35245:3aae428b0bbd
  * linux-2.6-xen changeset: 22813:80c2ccf5c330
  * xen-unstable changeset: 11069:0340e579f06544431e915d17596ac144145a077e




Index: rebase-xen-kernel.sh
===================================================================
RCS file: /cvs/dist/rpms/kernel/devel/scripts/rebase-xen-kernel.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- rebase-xen-kernel.sh	12 Aug 2006 22:43:30 -0000	1.1
+++ rebase-xen-kernel.sh	19 Aug 2006 16:45:56 -0000	1.2
@@ -3,20 +3,30 @@
 # you are supposed to have both linux-2.6 "upstream tree"
 # and linux-2.6-xen-fedora mercurial updated against that tree
 
+# it needs linux-2.6 linux-2.6-xen and linux-2.6-xen-fedora on the current directory
+# with the right changesets on them.
+
 set -x
 
-if [ ! -d linux-2.6 ]; then
-    echo "linux-2.6 directory don't exist";
-    exit 1
-fi
-
-if [ ! -d linux-2.6-xen-fedora/ ]; then
-    echo "linux-2.6-xen-fedora directory don't exist";
-    exit 1
-fi
+# remove previous patch if it exist
+rm -f linux-2.6-xen.patch
+
+for repo in linux-2.6 linux-2.6-xen-fedora linux-2.6-xen; do
+    if [ ! -d $repo/ ]; then
+	echo "$repo directory don't exist";
+	exit 1
+    else
+	echo - $repo `cd $repo; (hg tip | grep "changeset:")` >> linux-2.6-xen.patch
+    fi
+done
+
+# xen unstable is special, don't you know
+echo - `cd linux-2.6-xen; (hg tip -v| grep "xen-unstable changeset:")` >> linux-2.6-xen.patch
+
+
 
 /usr/bin/diff -urNp --exclude=".hg*" --exclude="*.orig" --exclude="*~" \
-    linux-2.6/ linux-2.6-xen-fedora/ > linux-2.6-xen.patch
+    linux-2.6/ linux-2.6-xen-fedora/ >> linux-2.6-xen.patch
 
 
 set +x




More information about the fedora-cvs-commits mailing list